Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Debian Discussion :

Segmentation fault


Sujet :

Debian

  1. #1
    Membre confirmé
    Segmentation fault
    Bonjour,

    Aujourd'hui, j'ai voulu mettre à jour ma passerrelle Debian (v3.1 stable, noyau 2.6.19). Je fais donc un
    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    apt-get update


    et là à ma grande surprise, il me dit :
    Citation Envoyé par Debian

    Atteint http://ftp2.fr.debian.org stable/main Packages
    Atteint http://ftp2.fr.debian.org stable/main Release
    Atteint http://ftp2.fr.debian.org stable/main Sources
    Atteint http://ftp2.fr.debian.org stable/main Release
    Atteint http://security.debian.org stable/updates/main Packages
    Atteint http://security.debian.org stable/updates/main Release
    zsh: segmentation fault apt-get update
    Le problème vient de la dernière ligne.
    Donc je ne peux pas mettre à jour mon système. Mais il continu à fonctionner.

    Est-ce que quelqu'un à déjà eu ce problème ? Si oui comment a-t-il/elle faut pour le résourdre ?

    Merci d'avance.

  2. #2
    Modérateur

    quelle est cette dernière ligne ?
    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    http://security.debian.org stable/updates/main Release
    ???
    Il y a sûrement un caractère qui fait planter le parser.
    Toutes les vertus des hommes se perdent dans l’intérêt comme les fleuves se perdent dans la mer.
    N'oubliez pas de consulter les FAQ Linux et les cours et tutoriels Linux

  3. #3
    Membre confirmé
    Citation Envoyé par ggnore
    quelle est cette dernière ligne ?
    La dernière ligne est celle en rouge.

    J'ai vérifié le fichier sources.list : il ne contient pas de caractères bizarres.

  4. #4
    Membre expérimenté
    salut,
    Apparemment c'est ton shell zsh qui plante
    essaye peut ête avec un autre shell.
    fais :

    $ su
    $ bash
    $ aptitude update

  5. #5
    Membre confirmé
    Citation Envoyé par narmataru
    salut,
    Apparemment c'est ton shell zsh qui plante
    essaye peut ête avec un autre shell.
    fais :
    Salut,
    Je viens d'essayer, voici la sortie :

    Citation Envoyé par Debian

    Erreur de segmentationpaquets... 0%
    => idem

  6. #6
    Membre confirmé
    Je n'ai pas compris le problème mais une suppression du cache d'apt résout le problème :

    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    1
    2
     
    # rm /var/cache/apt*.bin



    Merci de vos réponses.

    A+